#include <bits/stdc++.h>
#define MAX 100000
using namespace std;
int main()
{
	double p,q,r,p1,q1,r1;
	long long L,R,br=0;
	cin>>p>>q>>r>>L>>R;
	if(R<=MAX){
		for(long long i=L;i<=R;i++){
			p1=i/p; q1=i/q; r1=i/r;
			if((int)p1+(p1-(int)p1!=0)+(int)q1+(q1-(int)q1!=0)+(int)r1+(r1-(int)r1!=0)<=i) br++;
		}
	}
	if(R>MAX){
		for(long long i=L;i<=MAX;i++){
			p1=i/p; q1=i/q; r1=i/r;
			if((int)p1+(p1-(int)p1!=0)+(int)q1+(q1-(int)q1!=0)+(int)r1+(r1-(int)r1!=0)<=i) br++;
		}
		br+=R-MAX;
	}
	cout<<br<<endl;
	return 0;
}